=== modified file 'drizzled/lex.h'
--- drizzled/lex.h	2008-08-01 21:54:33 +0000
+++ drizzled/lex.h	2008-08-02 01:04:23 +0000
@@ -97,11 +97,8 @@
   { "CHARSET",		SYM(CHARSET)},
   { "CHECK",		SYM(CHECK_SYM)},
   { "CHECKSUM",		SYM(CHECKSUM_SYM)},
-  { "CIPHER",		SYM(CIPHER_SYM)},
-  { "CLIENT",		SYM(CLIENT_SYM)},
   { "CLOSE",		SYM(CLOSE_SYM)},
   { "COALESCE",		SYM(COALESCE)},
-  { "CODE",             SYM(CODE_SYM)},
   { "COLLATE",		SYM(COLLATE_SYM)},
   { "COLLATION",	SYM(COLLATION_SYM)},
   { "COLUMN",		SYM(COLUMN_SYM)},
@@ -120,9 +117,7 @@
   { "CONTAINS",         SYM(CONTAINS_SYM)},
   { "CONTEXT",    SYM(CONTEXT_SYM)},
   { "CONTINUE",         SYM(CONTINUE_SYM)},
-  { "CONTRIBUTORS",     SYM(CONTRIBUTORS_SYM)},
   { "CONVERT",		SYM(CONVERT_SYM)},
-  { "CPU",        SYM(CPU_SYM)},
   { "CREATE",		SYM(CREATE)},
   { "CROSS",		SYM(CROSS)},
   { "CUBE",		SYM(CUBE_SYM)},
@@ -147,13 +142,11 @@
   { "DECIMAL",		SYM(DECIMAL_SYM)},
   { "DECLARE",          SYM(DECLARE_SYM)},
   { "DEFAULT",		SYM(DEFAULT)},
-  { "DEFINER",          SYM(DEFINER_SYM)},
   { "DELAYED",		SYM(DELAYED_SYM)},
   { "DELAY_KEY_WRITE",	SYM(DELAY_KEY_WRITE_SYM)},
   { "DELETE",		SYM(DELETE_SYM)},
   { "DESC",		SYM(DESC)},
   { "DESCRIBE",		SYM(DESCRIBE)},
-  { "DES_KEY_FILE",	SYM(DES_KEY_FILE)},
   { "DETERMINISTIC",    SYM(DETERMINISTIC_SYM)},
   { "DIRECTORY",	SYM(DIRECTORY_SYM)},
   { "DISABLE",		SYM(DISABLE_SYM)},
@@ -174,13 +167,11 @@
   { "END",		SYM(END)},
   { "ENDS",		SYM(ENDS_SYM)},
   { "ENGINE",		SYM(ENGINE_SYM)},
-  { "ENGINES",		SYM(ENGINES_SYM)},
   { "ENUM",		SYM(ENUM)},
   { "ERRORS",		SYM(ERRORS)},
   { "ESCAPE",		SYM(ESCAPE_SYM)},
   { "ESCAPED",		SYM(ESCAPED)},
   { "EVENTS",		SYM(EVENTS_SYM)},
-  { "EVERY",		SYM(EVERY_SYM)},
   { "EXCLUSIVE",        SYM(EXCLUSIVE_SYM)},
   { "EXISTS",		SYM(EXISTS)},
   { "EXIT",             SYM(EXIT_SYM)},
@@ -241,12 +232,9 @@
   { "INTEGER",		SYM(INT_SYM)},
   { "INTERVAL",		SYM(INTERVAL_SYM)},
   { "INTO",		SYM(INTO)},
-  { "IO",     SYM(IO_SYM)},
   { "IO_THREAD",        SYM(RELAY_THREAD)},
-  { "IPC",    SYM(IPC_SYM)},
   { "IS",		SYM(IS)},
   { "ISOLATION",	SYM(ISOLATION)},
-  { "ISSUER",		SYM(ISSUER_SYM)},
   { "ITERATE",          SYM(ITERATE_SYM)},
   { "JOIN",		SYM(JOIN_SYM)},
   { "KEY",		SYM(KEY_SYM)},
@@ -528,9 +516,6 @@
 
 static SYMBOL sql_functions[] = {
   { "ADDDATE",		SYM(ADDDATE_SYM)},
-  { "BIT_AND",		SYM(BIT_AND)},
-  { "BIT_OR",		SYM(BIT_OR)},
-  { "BIT_XOR",		SYM(BIT_XOR)},
   { "CAST",		SYM(CAST_SYM)},
   { "COUNT",		SYM(COUNT_SYM)},
   { "CURDATE",		SYM(CURDATE)},

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2008-08-02 00:10:25 +0000
+++ drizzled/sql_yacc.yy	2008-08-03 21:31:14 +0000
@@ -414,10 +414,7 @@
 %token  BINARY                        /* SQL-2003-R */
 %token  BINLOG_SYM
 %token  BIN_NUM
-%token  BIT_AND                       /* MYSQL-FUNC */
-%token  BIT_OR                        /* MYSQL-FUNC */
 %token  BIT_SYM                       /* MYSQL-FUNC */
-%token  BIT_XOR                       /* MYSQL-FUNC */
 %token  BLOB_SYM                      /* SQL-2003-R */
 %token  BLOCK_SYM
 %token  BOOLEAN_SYM                   /* SQL-2003-R */
@@ -439,11 +436,8 @@
 %token  CHAR_SYM                      /* SQL-2003-R */
 %token  CHECKSUM_SYM
 %token  CHECK_SYM                     /* SQL-2003-R */
-%token  CIPHER_SYM
-%token  CLIENT_SYM
 %token  CLOSE_SYM                     /* SQL-2003-R */
 %token  COALESCE                      /* SQL-2003-N */
-%token  CODE_SYM
 %token  COLLATE_SYM                   /* SQL-2003-R */
 %token  COLLATION_SYM                 /* SQL-2003-N */
 %token  COLUMNS
@@ -462,10 +456,8 @@
 %token  CONTAINS_SYM                  /* SQL-2003-N */
 %token  CONTEXT_SYM
 %token  CONTINUE_SYM                  /* SQL-2003-R */
-%token  CONTRIBUTORS_SYM
 %token  CONVERT_SYM                   /* SQL-2003-N */
 %token  COUNT_SYM                     /* SQL-2003-N */
-%token  CPU_SYM
 %token  CREATE                        /* SQL-2003-R */
 %token  CROSS                         /* SQL-2003-R */
 %token  CUBE_SYM                      /* SQL-2003-R */
@@ -491,13 +483,11 @@
 %token  DECIMAL_SYM                   /* SQL-2003-R */
 %token  DECLARE_SYM                   /* SQL-2003-R */
 %token  DEFAULT                       /* SQL-2003-R */
-%token  DEFINER_SYM
 %token  DELAYED_SYM
 %token  DELAY_KEY_WRITE_SYM
 %token  DELETE_SYM                    /* SQL-2003-R */
 %token  DESC                          /* SQL-2003-N */
 %token  DESCRIBE                      /* SQL-2003-R */
-%token  DES_KEY_FILE
 %token  DETERMINISTIC_SYM             /* SQL-2003-R */
 %token  DIRECTORY_SYM
 %token  DISABLE_SYM
@@ -517,7 +507,6 @@
 %token  END                           /* SQL-2003-R */
 %token  ENDS_SYM
 %token  END_OF_INPUT                  /* INTERNAL */
-%token  ENGINES_SYM
 %token  ENGINE_SYM
 %token  ENUM
 %token  EQ                            /* OPERATOR */
@@ -526,7 +515,6 @@
 %token  ESCAPED
 %token  ESCAPE_SYM                    /* SQL-2003-R */
 %token  EVENTS_SYM
-%token  EVERY_SYM                     /* SQL-2003-N */
 %token  EXCLUSIVE_SYM
 %token  EXISTS                        /* SQL-2003-R */
 %token  EXIT_SYM
@@ -587,11 +575,8 @@
 %token  INTO                          /* SQL-2003-R */
 %token  INT_SYM                       /* SQL-2003-R */
 %token  IN_SYM                        /* SQL-2003-R */
-%token  IO_SYM
-%token  IPC_SYM
 %token  IS                            /* SQL-2003-R */
 %token  ISOLATION                     /* SQL-2003-R */
-%token  ISSUER_SYM
 %token  ITERATE_SYM
 %token  JOIN_SYM                      /* SQL-2003-R */
 %token  KEYS
@@ -707,7 +692,6 @@
 %token  PRIMARY_SYM                   /* SQL-2003-R */
 %token  PROCESS
 %token  PROCESSLIST_SYM
-%token  PROFILES_SYM
 %token  PURGE
 %token  QUARTER_SYM
 %token  QUERY_SYM
@@ -3400,8 +3384,6 @@
         | '+' simple_expr %prec NEG { $$= $2; }
         | '-' simple_expr %prec NEG
           { $$= new (YYTHD->mem_root) Item_func_neg($2); }
-        | '~' simple_expr %prec NEG
-          { $$= new (YYTHD->mem_root) Item_func_bit_neg($2); }
         | '(' subselect ')'
           { 
             $$= new (YYTHD->mem_root) Item_singlerow_subselect($2);
@@ -3812,12 +3794,6 @@
           { $$=new Item_sum_avg($3); }
         | AVG_SYM '(' DISTINCT in_sum_expr ')'
           { $$=new Item_sum_avg_distinct($4); }
-        | BIT_AND  '(' in_sum_expr ')'
-          { $$=new Item_sum_and($3); }
-        | BIT_OR  '(' in_sum_expr ')'
-          { $$=new Item_sum_or($3); }
-        | BIT_XOR  '(' in_sum_expr ')'
-          { $$=new Item_sum_xor($3); }
         | COUNT_SYM '(' opt_all '*' ')'
           { $$=new Item_sum_count(new Item_int((int32_t) 0L,1)); }
         | COUNT_SYM '(' in_sum_expr ')'
@@ -5617,8 +5593,6 @@
           { Lex->type|= REFRESH_SLAVE; }
         | MASTER_SYM
           { Lex->type|= REFRESH_MASTER; }
-        | DES_KEY_FILE
-          { Lex->type|= REFRESH_DES_KEY_FILE; }
         | RESOURCES
           { Lex->type|= REFRESH_USER_RESOURCES; }
         ;
@@ -6371,10 +6345,7 @@
         | CASCADED                 {}
         | CHAIN_SYM                {}
         | CHANGED                  {}
-        | CIPHER_SYM               {}
-        | CLIENT_SYM               {}
         | COALESCE                 {}
-        | CODE_SYM                 {}
         | COLLATION_SYM            {}
         | COLUMN_FORMAT_SYM        {}
         | COLUMNS                  {}
@@ -6386,17 +6357,13 @@
         | CONNECTION_SYM           {}
         | CONSISTENT_SYM           {}
         | CONTEXT_SYM              {}
-        | CONTRIBUTORS_SYM         {}
-        | CPU_SYM                  {}
         | CUBE_SYM                 {}
         | DATA_SYM                 {}
         | DATAFILE_SYM             {}
         | DATETIME                 {}
         | DATE_SYM                 {}
         | DAY_SYM                  {}
-        | DEFINER_SYM              {}
         | DELAY_KEY_WRITE_SYM      {}
-        | DES_KEY_FILE             {}
         | DIRECTORY_SYM            {}
         | DISABLE_SYM              {}
         | DISCARD                  {}
@@ -6406,11 +6373,9 @@
         | ENDS_SYM                 {}
         | ENUM                     {}
         | ENGINE_SYM               {}
-        | ENGINES_SYM              {}
         | ERRORS                   {}
         | ESCAPE_SYM               {}
         | EVENTS_SYM               {}
-        | EVERY_SYM                {}
         | EXCLUSIVE_SYM            {}
         | EXTENDED_SYM             {}
         | EXTENT_SIZE_SYM          {}
@@ -6432,10 +6397,7 @@
         | IMPORT                   {}
         | INDEXES                  {}
         | INITIAL_SIZE_SYM         {}
-        | IO_SYM                   {}
-        | IPC_SYM                  {}
         | ISOLATION                {}
-        | ISSUER_SYM               {}
         | INSERT_METHOD            {}
         | KEY_BLOCK_SIZE           {}
         | LAST_SYM                 {}

